use "C:\Pyramid.dta", clear

ttest Age, by(Treatment)
ttest Male, by(Treatment)
ttest HSorLess, by(Treatment)
ttest SomeCollege, by(Treatment)
ttest BachDegree, by(Treatment)
ttest GradDegree, by(Treatment)
ttest Hispanic, by(Treatment)
ttest Caucasian, by(Treatment)
ttest IncomeCat, by(Treatment)
ttest Democrat, by(Treatment)
ttest PctUrban, by(Treatment)
ttest PWL, by(Treatment)
ttest RRPWL, by(Treatment)
ttest Uptake, by(Treatment)

summarize
summarize if Uptake==0
summarize if Uptake==1
tab Uptake Treatment if HSorLess==1, exact
tab Uptake Treatment if SomeCollege==1, exact
tab Uptake Treatment if BachDegree==1, exact
tab Uptake Treatment if GradDegree==1, exact
local myxprevars "Age Male SomeCollege BachDegree GradDegree Hispanic Caucasian IncomeCat Democrat PctUrban SumInvest SumGambling SumPRiskInvest SumPRiskGamble SumPBenInvest SumPBenGamble HowReligious NegLifeEvent SelfPyr OtherPyr CRT BISNPNew SumFLQ"
local myxpostvars "PWL RRPWL Recruits39More RecSame40Plus Legal"
local mytreatintvars "TreatAge TreatMale TreatSCollege TreatBachD TreatGradD TreatHispanic TreatCaucasian TreatHHInc TreatDem TreatUrban TreatInvest TreatGamble TreatPRInvest TreatPRGamble TreatPBInvest TreatPBGamble TreatReligion TreatNegLE TreatSelfP TreatOtherP TreatCRT TreatBIS TreatFLQ"
regress Uptake Treatment `myxprevars' `myxpostvars', vce(robust)
regress Uptake Treatment `myxprevars' , vce(robust)
regress Uptake Age Male SomeCollege BachDegree GradDegree Hispanic Caucasian IncomeCat Democrat PctUrban SumInvest SumGambling SumPRiskInvest SumPRiskGamble SumPBenInvest SumPBenGamble HowReligious RelServices NegLifeEvent SelfPyr OtherPyr CRT BISNPNew SumFLQ PWL RRPWL Recruits39More RecSame40Plus Legal, vce(robust)
regress Uptake Age Male SomeCollege BachDegree GradDegree Hispanic Caucasian IncomeCat Democrat PctUrban SumInvest SumGambling SumPRiskInvest SumPRiskGamble SumPBenInvest SumPBenGamble HowReligious NegLifeEvent SelfPyr OtherPyr CRT BISNPNew SumFLQ PWL RRPWL Recruits39More RecSame40Plus Legal, vce(robust)
regress Uptake Age Male SomeCollege BachDegree GradDegree Hispanic Caucasian IncomeCat Democrat PctUrban SumInvest SumGambling SumPRiskInvest SumPRiskGamble SumPBenInvest SumPBenGamble RelServices NegLifeEvent SelfPyr OtherPyr CRT BISNPNew SumFLQ PWL RRPWL Recruits39More RecSame40Plus Legal, vce(robust)
bootstrap, reps(100) seed(1): regress Uptake Treatment `myxprevars' `myxpostvars', vce(robust)
bootstrap, reps(100) seed(1): regress Uptake Treatment `myxprevars', vce(robust)
logit Uptake Treatment `myxprevars' `myxpostvars', vce(robust)
logit Uptake Treatment `myxprevars' , vce(robust)
probit Uptake Treatment `myxprevars' `myxpostvars', vce(robust)
probit Uptake Treatment `myxprevars' , vce(robust)
regress Uptake Treatment `myxprevars' `myxpostvars' `mytreatintvars', vce(robust)
regress Uptake Treatment `myxprevars' `mytreatintvars', vce(robust)
bootstrap, reps(100) seed(1): regress Uptake Treatment `myxprevars' `myxpostvars' `mytreatintvars', vce(robust)
bootstrap, reps(100) seed(1): regress Uptake Treatment `myxprevars' `mytreatintvars', vce(robust)
logit Uptake Treatment `myxprevars' `myxpostvars' `mytreatintvars', vce(robust)
logit Uptake Treatment `myxprevars' `mytreatintvars', vce(robust)
probit Uptake Treatment `myxprevars' `myxpostvars' `mytreatintvars', vce(robust)
probit Uptake Treatment `myxprevars' `mytreatintvars', vce(robust)
regress Uptake Age Male SomeCollege BachDegree GradDegree Hispanic Caucasian IncomeCat Democrat PctUrban SumInvest SumGambling SumPRiskInvest SumPRiskGamble SumPBenInvest SumPBenGamble HowReligious NegLifeEvent SelfPyr OtherPyr CRT BISNPNew SumFLQ PWL RRPWL Recruits39More RecSame40Plus Legal, vce(robust)
regress Uptake Treatment Age Male SomeCollege BachDegree GradDegree Hispanic Caucasian IncomeCat Democrat PctUrban SumInvest SumGambling SumPRiskInvest SumPRiskGamble SumPBenInvest SumPBenGamble HowReligious NegLifeEvent SelfPyr OtherPyr CRT BISNPNew SumFLQ PWL RRPWL Recruits39More RecSame40Plus Legal, vce(robust)
regress Uptake Treatment  SumPBenInvest  HowReligious  OtherPyr  PWL RRPWL, vce(robust)
regress Uptake  SumPBenInvest  HowReligious  OtherPyr  PWL RRPWL, vce(robust)
bootstrap, reps(100) seed(1): regress Uptake Treatment Age Male SomeCollege BachDegree GradDegree Hispanic Caucasian IncomeCat Democrat PctUrban SumInvest SumGambling SumPRiskInvest SumPRiskGamble SumPBenInvest SumPBenGamble HowReligious NegLifeEvent SelfPyr OtherPyr CRT BISNPNew SumFLQ PWL RRPWL Recruits39More RecSame40Plus Legal, vce(robust)
bootstrap, reps(100) seed(1): regress Uptake Treatment  SumPBenInvest  HowReligious  OtherPyr  PWL RRPWL, vce(robust)
bootstrap, reps(100) seed(1): regress Uptake SumPBenInvest  HowReligious  OtherPyr  PWL RRPWL, vce(robust)
logit Uptake Treatment Age Male SomeCollege BachDegree GradDegree Hispanic Caucasian IncomeCat Democrat PctUrban SumInvest SumGambling SumPRiskInvest SumPRiskGamble SumPBenInvest SumPBenGamble HowReligious NegLifeEvent SelfPyr OtherPyr CRT BISNPNew SumFLQ PWL RRPWL Recruits39More RecSame40Plus Legal, vce(robust)
logit Uptake Treatment  SumPBenInvest  HowReligious  OtherPyr  PWL RRPWL, vce(robust)
logit Uptake SumPBenInvest  HowReligious  OtherPyr  PWL RRPWL, vce(robust)
probit Uptake Treatment Age Male SomeCollege BachDegree GradDegree Hispanic Caucasian IncomeCat Democrat PctUrban SumInvest SumGambling SumPRiskInvest SumPRiskGamble SumPBenInvest SumPBenGamble HowReligious NegLifeEvent SelfPyr OtherPyr CRT BISNPNew SumFLQ PWL RRPWL Recruits39More RecSame40Plus Legal, vce(robust)
probit Uptake Treatment  SumPBenInvest  HowReligious  OtherPyr  PWL OddsWeight, vce(robust)
probit Uptake  SumPBenInvest  HowReligious  OtherPyr  PWL RRPWL, vce(robust)
tab Uptake if Recruits39More==1 & RecSame40Plus==1
tab PWL
tab Uptake if PWL==1
tab PWL Uptake if Recruits39More==1 & RecSame40Plus==1
